%define rversion 1.0.3
%define apache_version 1.3.33
%define srcver %{rversion}-1.3.6

Summary:	DAV module for Apache
Name:		apache1-mod_dav
Version:	%{apache_version}_%{rversion}
Release:	1mdk
Group:		System/Servers
License:	Apache License
Source0:	http://www.webdav.org/mod_dav/mod_dav-%{srcver}.tar.bz2
URL:		http://www.webdav.org/mod_dav/
Source1:	apache1-mod_dav.conf
Patch0:		mod_dav-shared-expat.patch.bz2
PreReq:		rpm-helper
Prereq:		apache1 = %{apache_version}
Prereq:		apache1-base >= %{apache_version}
BuildRequires:	apache1-devel = %{apache_version} 
BuildRequires:	expat-devel
BuildRequires:	autoconf2.5
BuildRequires:	automake1.7
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
mod_dav enables Apache to understand DAV protocol (extensions to
HTTP). DAV stands for "Distributed Authoring and Versioning", and is
defined by RFC 2518. DAV is intended to replace proprietary authoring
protocols such as those used by Frontpage or NetObjects' Fusion, but
is also a complete set of protocols for manipulating a webserver's
files and directories, and their properties.

%prep

%setup -q -n mod_dav-%{srcver}
%patch -p1

%build
export WANT_AUTOCONF_2_5=1
libtoolize --copy --force; aclocal-1.7; autoconf

export APXS=%{_sbindir}/apache1-apxs

%configure2_5x

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}/apache1/modules.d
install -d %{buildroot}%{_libdir}/apache1

# Files installation
install -m0755 libdav.so %{buildroot}%{_libdir}/apache1/mod_dav.so 
install -m0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/apache1/modules.d/17_mod_dav.conf

# Lock installation
install -d %{buildroot}/var/lock/mod_dav
chmod o-rwx %{buildroot}/var/lock/mod_dav

%post
if [ -f %{_var}/lock/subsys/apache1 ]; then
    %{_initrddir}/apache1 restart 1>&2;
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/apache1 ]; then
        %{_initrddir}/apache1 restart 1>&2
    fi
fi

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README CHANGES INSTALL LICENSE.html
%config(noreplace) %{_sysconfdir}/apache1/modules.d/17_mod_dav.conf
%{_libdir}/apache1/mod_dav.so
%attr(-,apache,apache) %dir /var/lock/mod_dav

%changelog
* Mon Jun 06 2005 Oden Eriksson <oeriksson@mandriva.com> 1.3.33_1.0.3-1mdk
- renamed to apache1-mod_dav and reworked it quite a bit

* Tue Feb 15 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.3-20mdk
- spec file cleanups, remove the ADVX-build stuff

* Sun Nov 21 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.3-19mdk
- built for apache 1.3.33

* Tue Jul 13 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.3-18mdk
- remove redundant provides

* Thu Jun 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.3-17mdk
- built for apache 1.3.31

* Sun Nov 09 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.0.3-16mdk
- built for apache 1.3.29

* Tue Sep 16 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.0.3-15mdk
- rebuild with apache 1.3.28

* Thu Feb 13 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.0.3-14mdk
- new macros from ADVX-build

* Mon Jan 06 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.0.3-13mdk
- rebuilt for new mm version
- Add Provides: ADVXpackage, all ADVX package will have this tag, 
  so we can easily do a rpm --whatprovides ADVXpackage to find out
  what ADVX packages a user has installed on his system. 

* Fri Nov  8 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.0.3-12mdk
- Rebuild for Cooker

* Mon Oct 28 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.0.3-11mdk
- Rebuild with new apache

* Fri Jul 12 2002 Frederic Lepied <flepied@mandrakesoft.com> 1.0.3-10mdk
- add apache user

* Tue Jul  9 2002 Pixel <pixel@mandrakesoft.com> 1.0.3-9mdk
- rebuild (so that it builds with "-D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64")
  => fix segfault

* Wed Jun 26 2002 Christian Belisle <cbelisle@mandrakesoft.com> 1.0.3-8mdk
- rebuild against latest apache.
- use %%configure and %%make.

* Sat May 18 2002 Christian Belisle <cbelisle@mandrakesoft.com> 1.0.3-7mdk
- Build with gcc 3.1.

* Mon Apr 15 2002 Christian Belisle <cbelisle@mandrakesoft.com> 1.0.3-6mdk
- Apache 1.3.24.

* Mon Mar 04 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.0.3-5mdk
- Recompile for new expat policy (ie, always use dynamic library instead of
  each apache application linking its static one.
- Fix segfaults

* Wed Feb 06 2002 Christian Belisle <cbelisle@mandrakesoft.com> 1.0.3-4mdk
- Add documentation %{apachecontent}/addon-modules

* Wed Feb 06 2002 Christian Belisle <cbelisle@mandrakesoft.com> 1.0.3-3mdk
- Add apache in the Requires.
- Add expat in the Requires and BuildRequires.
- Remake post and postun to respect apache modules installation standard.
- Change module folder in config file to reflect changes in package.

* Mon Feb 04 2002 Christian Belisle <cbelisle@mandrakesoft.com> 1.0.3-2mdk
- Rebuild against last apache.
- Make setup quiet

* Thu Nov  8 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.0.3-1mdk
- 1.0.3

* Tue Oct 16 2001 Christian Belisle <cbelisle@mandrakesoft.com> 1.0.2-3mdk
- s/Copyright/License/.
- apache 1.3.22.

* Mon Oct  1 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.0.2-2mdk
- append a trailing / to the default lock dir.

* Sun Sep 30 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.0.2-1mdk
- first Mandrake Linux version

# end of file
